#!/bin/sh

APRS4R_REPOSITORY_NAME=aprs4r
APRS4R_REPOSITORY_URL=http://www.aprs4r.org/openwrt/kamikaze

IPKG=/usr/bin/ipkg

echo "Updating package descriptions..."
$IPKG update

echo "Installing kernel usb modules..."
$IPKG install kmod-usb-core kmod-usb-uhci kmod-usb2

echo "Installing kernel usb serial modules..."
$IPKG install kmod-usb-serial-pl2303 kmod-usb-serial-ftdi-scs kmod-usb-serial-belkin

echo "Installing ruby core packages..."
$IPKG install ruby ruby-core ruby-yaml ruby-cgi

echo "Checking for aprs4r ipkg repository..."
cat /etc/ipkg.conf | grep -q "$APRS4R_REPOSITORY_URL"

if [ "$?" != "0" ]; then
    echo "Adding aprs4r ipkg repository..."
    echo "src $APRS4R_REPOSITORY_NAME $APRS4R_REPOSITORY_URL" >> /etc/ipkg.conf

    echo "Updating package descriptions..."
    $IPKG update
fi

echo "Installing ruby lib packages..."
$IPKG install ruby-serialport ruby-log4r

echo "Installing lighttpd packages..."
$IPKG install lighttpd lighttpd-mod-cgi lighttpd-mod-auth

echo "Installing aprs4r software (including web interface)"
$IPKG install aprs4r aprs4r-web

echo "Installing aprs4web software..."
$IPKG install aprs4web

exit 0
