#
#  APRS4R - a ruby based aprs gateway/digipeater
#  Copyright (C) 2006 by Michael Conrad <do5mc@friggleware.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

require 'aprs4r/ConfigurationAttribute'
require 'aprs4r/GatewayPluginConfiguration'


module APRS4R

  class BuddyGatewayPluginConfiguration < GatewayPluginConfiguration

    attr_reader :buddies, :call, :path, :timeout
    attr_writer :buddies, :call, :path, :timeout


    def initialize( inDevice = nil, outDevice = nil, buddies = nil, call = nil, path = [], timeout = nil)
      super( inDevice, outDevice)

      @buddies = buddies
      @call = call
      @path = path
      @timeout = timeout

      return
    end


    def to_yaml_properties
      return super + %w{@buddies @call @path @timeout}
    end


    def attributes
      
      attributes = [ 
                    ConfigurationAttribute.new( "buddies",   "array",  true, 20, [""], "Buddies"),
                    ConfigurationAttribute.new( "call",      "text",   true, 10, "", "Rufzeichen"),
                    ConfigurationAttribute.new( "path",      "array",  true, 20, [], "Aussendepfad"),
                    ConfigurationAttribute.new( "timeout",   "number", true,  6, 300, "Stationstimeout")
                   ]

      return super + attributes
    end

  end

end
