#
#  APRS4R - a ruby based aprs gateway/digipeater
#  Copyright (C) 2008 by Michael Conrad <do5mc@friggleware.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

require 'aprs4r/APRS4RLogger'

require 'aprs4r/BeaconPlugin'
require 'aprs4r/StatusPlugin'
require 'aprs4r/APRSCall'
require 'aprs4r/StatusBeaconPluginConfiguration'
require 'aprs4r/SocketManager'
require 'aprs4r/PluginManager'


module APRS4R

  class StatusBeaconPlugin < BeaconPlugin

    @logger = APRS4RLogger.get_logger( "StatusBeaconPlugin")


    def initialize( configuration)
      logger.info( "initialize( configuration)")

      super( configuration)

      begin
        @payload = nil
        @payload = configuration.payload if configuration.payload
      rescue Exception => ex 
        logger.error( "ex: #{ex}")
        logger.error( "Error reading variable payload: #{configuration.payload}")
      end

      return
    end


    def create_beacon
      logger.info( "create_beacon")

      plugin = PluginManager.get_plugin( StatusPlugin)
      message = nil

      payload = nil
      payload = plugin.create_payload( @payload) if plugin
      
      if payload 
        message = @message.clone
        message.payload = payload 
      end

      return message
    end

  end
  
end
